unit SelCom;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls, 
  Buttons, ExtCtrls, ComPort;

type
  TComSelect = class(TForm)
    OKBtn: TButton;
    CancelBtn: TButton;
    Bevel1: TBevel;
    CoBComList: TComboBox;
    Button1: TButton;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ComSelect: TComSelect;

implementation

{$R *.dfm}

procedure TComSelect.FormCreate(Sender: TObject);
var
i:integer;
begin
      ComListStr:=TStringList.Create;
      ComList;
      UFSList;
      CoBComList.Items.AddStrings(ComListStr);
      ComListStr.Free;
      CoBComList.ItemIndex:=0;
end;

procedure TComSelect.Button1Click(Sender: TObject);
begin
      CoBComList.Clear;
      ComListStr:=TStringList.Create;
      ComList;
      UFSList;
      CoBComList.Items.AddStrings(ComListStr);
      ComListStr.Free;
      CoBComList.ItemIndex:=0;
end;

end.
